### Name: smoothqpois
### Title: Linearly Smoothed Quantile Functions
### Aliases: smoothqpois smoothqbinom
### Keywords: distribution

### ** Examples


pvec=seq(0,1,.01)

n=10
##### This is for a median-targeting application
targ=0.5

### Plain vanilla binomial (does not account for random allocation, and
### is asymmetric in location of vertical jumps)

plot(100*pvec,qbinom(pvec,size=n,prob=targ),xlab="Cutoff point for
Confidence Interval (percent)",ylab="Confidence Quantile Estimate",type='l')

### Binomial, but linearly interpolated and 'padded'
lines(100*pvec,smoothqbinom(pvec,size=n,prob=targ),col=4)

### Poisson (the preferred approach since it has heavy tails)
lines(100*pvec,smoothqpois(pvec,size=n,prob=targ),col=2)

########## Now the whole thing when the target is 20th percentile

targ=0.2
plot(100*pvec,qbinom(pvec,size=n,prob=targ),xlab="Cutoff point for
Confidence Interval (percent)",ylab="Confidence Quantile Estimate",type='l',ylim=c(-2,10))

lines(100*pvec,smoothqbinom(pvec,size=n,prob=targ),col=4)
lines(100*pvec,smoothqpois(pvec,size=n,prob=targ),col=2)

### A negative value here may seem counter-intuitive, but it makes sense
###in a random-allocation setting
  


